## avimetaedit 1.0.1.20251025

=== debian/changelog ===
avimetaedit (1.0.1.20251025-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- Jerome Martinez <info@mediaarea.net>  Thu, 01 Jan 2012 01:00:00 +0000
