## avimetaedit 1.0.1.20260207

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	fromdos      *.txt
	chmod 644    *.txt
	cd Project/GNU/CLI && chmod u+x autogen
	cd Project/GNU/CLI && ./autogen
	cd Project/GNU/CLI && ./configure --prefix=/usr

	cd Project/QtCreator && ./prepare BINDIR=/usr/bin

	touch $@


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	cd Project/GNU/CLI && $(MAKE)

	cd Project/QtCreator && $(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd Project/GNU/CLI && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd Project/QtCreator && $(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit
	install -m 644 Release/ReadMe_CLI_Linux.txt $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit/ReadMe.txt
	install -m 644 History_CLI.txt $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit/History.txt
	install -m 644 conformance_point_document.xsd $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit
	install -m 644 License.html $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit-gui
	install -m 644 Release/ReadMe_CLI_Linux.txt $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit-gui/ReadMe.txt
	install -m 644 History_GUI.txt $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit-gui/History.txt
	install -m 644 conformance_point_document.xsd $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit-gui
	install -m 644 License.html $(CURDIR)/debian/tmp/usr/share/doc/avimetaedit-gui

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/pixmaps
	install -m 644 Source/Resource/Image/Brand/Logo.png $(CURDIR)/debian/tmp/usr/share/pixmaps/avimetaedit.png
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
	install -m 644 Source/Resource/Image/Brand/Logo128.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps/avimetaedit.png

	install -dm 755 $(CURDIR)/debian/tmp/usr/share/applications
	install -m 644 Project/GNU/GUI/avimetaedit-gui.desktop $(CURDIR)/debian/tmp/usr/share/applications
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/
	install -m 644 Project/GNU/GUI/avimetaedit-gui.kde3.desktop $(CURDIR)/debian/tmp/usr/share/apps/konqueror/servicemenus/avimetaedit-gui.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/
	install -m 644 Project/GNU/GUI/avimetaedit-gui.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kde4/services/ServiceMenus/avimetaedit-gui.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/
	install -m 644 Project/GNU/GUI/avimetaedit-gui.kde4.desktop $(CURDIR)/debian/tmp/usr/share/kservices5/ServiceMenus/avimetaedit-gui.desktop
	install -dm 755 $(CURDIR)/debian/tmp/usr/share/appdata
	install -m 644 Project/GNU/GUI/avimetaedit-gui.metainfo.xml $(CURDIR)/debian/tmp/usr/share/appdata/avimetaedit-gui.appdata.xml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip -p avimetaedit --dbg-package=avimetaedit-dbg
	dh_strip -p avimetaedit-gui --dbg-package=avimetaedit-gui-dbg
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
